Subject: RE: B20.1: Thread support seems to be broken in 'gdb'
From: Earnie Boyd <[email-masked]>
To: Jon Leichter <[email-masked]>
Cc: [email-masked]
Date: Thu, 21 Oct 1999 21:37:28 -0700 (PDT)

--- Jon Leichter <[email-masked]> wrote:
> I know that Cygwin is not thread safe. I was under the assumption that this
> specifically applies to the Cygwin DLL, which I am not using in the sample
> that I've provided. My sample is a pure Mingw32 compiled program and does not
> use the Cygwin DLL. The resulting binary IS supported because the threads are
> managed by Win32 DLLs.
> 
> The issue is whether or not (Cygwin's provided) 'gdb' is supposed to handle
> threads. As I pointed out, Mingw32's distribution of 'gdb' has no problem
> debugging threads. It seems reasonable to expect the same from Cygwin's
> distribution.
> 

But how can a non-thread safe package debug a package using threads?  The
cygwin gdb uses cygwin, the mingw32 gdb does not.  And Chris Faylor would say
"patches are gratefully accepted".

=====
Earnie Boyd <mailto:[email-masked]>

Newbies, please visit
<http://www.freeyellow.com/members5/gw32/index.html>

(If you respond to the list, then please don't cc me)
__________________________________________________
Do You Yahoo!?
Bid and sell for free at http://auctions.yahoo.com

--
Want to unsubscribe from this list?
Send a message to [email-masked]